package com.saye.hospitalgd.service;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/9/29 14:55
 */
public interface OperatorService {
    List<HashMap<Object, Object>> findAllOperator(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findMilitaryOperators(HashMap<Object, Object> map) throws Exception;

    void addOperator(HashMap<Object, Object> map) throws Exception;

    void modifyOperator(HashMap<Object, Object> map) throws  Exception;

    void deleteOperator(HashMap<Object, Object> map) throws Exception;
}
